//GeoGet 2
// njak pravy mikrom (asov psmo, atd..)

var
  id: TStringList;
  soubor: string;

function ExportExtension: string;
begin
  result := 'TXT';
end;

function ExportDescription: string;
begin
  result := 'Field Notes (Osik - upraveno)';
end;

function ExportHeader: string;
begin
  Result := #$EF + #$BB + #$BF;
  id := TStringList.Create;
  Geoget_DB.GetTableStrings('SELECT id FROM geocache WHERE dtfound<>0 ORDER BY dtfound,dtfoundtime', id);
end;

function ExportFooter: string;
begin
  Result := '';
end;

function ExportPoint: string;
var
  dt,dtt: TDateTime;
  lt,tz: string;
  n: integer;
  doplnek: string;
begin
  soubor := Geoget_Scriptdir+'\FNLogger\TextForAll.txt';
  if FileExists(soubor) then doplnek := FileToString(soubor);

  {odstraneni posledniho prazdneho radku}
  doplnek := trim(doplnek);

  {prevod casoveho pasma (kod z fieldnotes.gge.pas)}
  dt := GC.Found + GC.FoundTime;
  dtt := GC.FoundTime;
  lt := 'Found it';
  if dt = 0 then
  begin
    lt := 'Write note';
    dt := now;
    dtt := now;
  end;
  tz := GC.TagValues('timezone');
  if tz = '' then
    dt := LocalToUTC(dt)
  else
    dt := TimezoneToUTC(dt, tz);

  Result := GC.ID + ',';
  Result := Result + FormatDateTime('yyyy"-"mm"-"dd"T"hh":"nn"Z"', dt) + ',' + lt + ',"';

  {#nnn - poradi nalezu}
  for n:=1 to id.count do if id[n-1] = GC.ID then Result := Result + '#' + IntToStr(n) + ', ';

  {hh:mm - cas nalezu}
  Result := Result + FormatDateTime('hh":"nn""', dtt) + ', ';

  {FTF, ve slozenych zavorkach pro project-gc.com}
  if GC.TagHaveCategory('FTF') then Result := Result + '{' + GC.TagValues('FTF') + '}, ';

  {Obsah tagu 'fieldnote'}
  //if GC.TagHaveCategory('fieldnote') then Result := Result + ReplaceString(GC.TagValues('fieldnote'),'"','');

  {Obsah Poznamky}
  //if GC.Comment <> '' then Result := Result + ReplaceString(GC.Comment,'"','') + CRLF;
  {obsah souboru TextForAll}

  Result := Result + doplnek + '"' + CRLF;
end;
